# Created by pyp2rpm-3.3.2
%global pypi_name pytest-flakes

Name:           python-%{pypi_name}
Version:        4.0.5
Release:        %mkrel 4
Summary:        pytest plugin to check source code with pyflakes
Group:          Development/Python
License:        MIT license
URL:            https://pypi.org/project/pytest-flakes/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pyflakes)
BuildRequires:  python3dist(pytest) >= 2.8.0
BuildRequires:  python3dist(setuptools)

%description
pytest-flakes py.test plugin for efficiently checking python source with
pyflakes.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pyflakes)
Requires:       python3dist(pytest) >= 2.8.0
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
pytest-flakes py.test plugin for efficiently checking python source with
pyflakes.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pytest_flakes.py
%{python3_sitelib}/pytest_flakes-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Dec 08 2023 wally <wally> 4.0.5-4.mga10
+ Revision: 2015734
- rebuild for py3.12

* Sat Mar 26 2022 umeabot <umeabot> 4.0.5-3.mga9
+ Revision: 1828479
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 4.0.5-2.mga9
+ Revision: 1775833
- rebuild for python-3.10

* Thu Feb 03 2022 mrambo3501 <mrambo3501> 4.0.5-1.mga9
+ Revision: 1771319
- version 4.0.5

* Sat Jun 26 2021 wally <wally> 4.0.3-2.mga9
+ Revision: 1732518
- Rebuild for python 3.9

* Sun Dec 13 2020 guillomovitch <guillomovitch> 4.0.3-1.mga8
+ Revision: 1656426
- new version 4.0.3

* Sun Nov 22 2020 guillomovitch <guillomovitch> 4.0.2-1.mga8
+ Revision: 1648433
- new version 4.0.2

* Mon Sep 14 2020 guillomovitch <guillomovitch> 4.0.1-1.mga8
+ Revision: 1626459
- new version 4.0.1

* Sun Feb 16 2020 umeabot <umeabot> 4.0.0-3.mga8
+ Revision: 1535235
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 4.0.0-2.mga8
+ Revision: 1451603
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 4.0.0-1.mga8
+ Revision: 1430751
- imported package python-pytest-flakes

